#!/bin/sh

TNOW=$(date -u "+%Y%m%dT%H%M")
filename="backupBACSLogs-$TNOW.tar.gz"
TDIR="/tmp/backupBACSLogs"
SRCDIR="/var/log/bacs"

rm -rf ${TDIR}
mkdir -p ${TDIR}

tar -C ${SRCDIR}/.. -c bacs | gzip > ${TDIR}/${filename}

chown -R www-data:www-data "${TDIR}"
exit 0