<?xml version="1.0"?>
<!--
   js_mouseover.xsl - XSL-template for mouse over effect (UNMS-II)
   Copyright (c) 2006, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- javascript for loading dat chart Frame-->
  <xsl:template name="on-mouse-over">
    <script type="text/javascript">
      <!--<xsl:comment>-->
      <![CDATA[
		var imgStack = new Array();
		function changeImage(imgId, newSrc){
		
			if(document.images[imgId]){
				imgStack.push(new Array(imgId, document.images[imgId].src));	//store in array for later restoring
				document.images[imgId].src = newSrc;		
			}
		}
		function restoreImage(imgId)
		{
			if(!document.images[imgId]){
				return;
			}

			for(var i = 0; i!= imgStack.length; ++i){
				if(imgStack[i][0] == imgId){
					document.images[imgId].src = imgStack[i][1];
					imgStack.splice(i, 1);//remove from array
					return;
				}
			}
		}
	function moveLayer(id, dx, dy)
	{
		var layer = document.getElementById(id);
		if(!layer) return;
		var x = layer.style.left;
		var y = layer.style.top;
		x = x.substring(0, x.length-2); 
		y = y.substring(0, y.length-2); 
		x = 1*x + dx;
		y = 1*y + dy;
		layer.style.left = x + "px";
		layer.style.top  = y + "px";
	}
	function onHighLight(highlight, imgId, newSrc, layerId, dx, dy)
	{
		if(highlight){
			changeImage(imgId, newSrc);
			moveLayer(layerId, dx, dy);
		}
		else{
			moveLayer(layerId, -dx, -dy);
			restoreImage(imgId);		
		}
			
	}
	]]>
      <!--</xsl:comment>-->
    </script>
  </xsl:template>
</xsl:stylesheet>