<?xml version="1.0"?>
<!--
   js_tooltips.xsl - XSL-templates for Javascript-based tooltips (UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   michael/klaus
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>
<xsl:template name="js_tooltips_def">
  <script type="text/javascript">
    <xsl:comment>
      <![CDATA[ 

      document.onmousemove = TTupdate;
      var tooltips = null;

      function TTupdate(e) 
      {
      	try{
	        x = (document.all) ? window.event.x + document.body.scrollLeft : e.pageX;
	        y = (document.all) ? window.event.y + document.body.scrollTop  : e.pageY;
	        if(tooltips) {
		        tooltips.style.left = (x - (x/8)) + "px";
		        tooltips.style.top  = (y + 16) + "px";
	        }
	      }
	      catch(e){}
      }
      
      function TTshow(id)
      {
        if(tooltips = document.getElementById(id)){
          if(document.all) {
            tooltips.style.left= (window.event.x+document.body.scrollLeft+8)+ "px";
            tooltips.style.top = (window.event.y+document.body.scrollTop+8) + "px";
          }
          tooltips.style.display = "block";
        }
      }
      
      function TTtext(id, txt) 
      {
        if(tooltips = document.getElementById(id)) {
          tooltips.innerHTML = txt;
          TTshow(id);
        }
      }
      
      function TThide() 
      {
        if(tooltips) {
          tooltips.style.display = "none";
        }
      }
	    ]]>
	  </xsl:comment>
  </script>

</xsl:template>
</xsl:stylesheet>