<?xml version="1.0"?>
<!--
   js_util.xsl - XSL-templates for Javascript-based refreshing  (UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
   Last update: 12.2010 said (<xsl:template name="draginit">)
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!--<xsl:import href="./js_iepixelbug.xsl"/>
<xsl:import href="./app/js_popup.xsl"/>
<xsl:import href="./js_refresh.xsl"/>
<xsl:import href="./js_selection.xsl"/>
<xsl:import href="./js_tooltips.xsl"/>
<xsl:import href="./js_mouseover.xsl"/>
<xsl:import href="./js_overlay.xsl"/>
<xsl:import href="./app/js_app.xsl"/>-->

  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <!--Drag commands -->
  <xsl:template name="drag-init">
    <script type="text/javascript">
      <!--<xsl:comment>	-->
      <![CDATA[

					var dragobjekt = null;
					var dragx = 0;
					var dragy = 0;
					var posx = 0;
					var posy = 0;

					function draginit()
					{
						document.onmousemove = drag;
						document.onmouseup = dragstop;
					}
					function dragstart(element)
					{
					  dragobjekt = element;
					  dragx = posx - dragobjekt.offsetLeft;
					  dragy = posy - dragobjekt.offsetTop;
					}
					function dragstop()
					{
					  if(dragobjekt!=null)
					  {
					  	var values = dragobjekt.style.visibility + "," + dragobjekt.offsetLeft + "," + dragobjekt.offsetTop + "," + dragobjekt.style.zIndex;
	   					var id = dragobjekt.id;
	   					save_div_cookie(id,values);
	   				}
	   				dragobjekt=null;
					}

					function drag(ereignis)
					{
					  posx = document.all ? window.event.clientX : ereignis.pageX;
					  posy = document.all ? window.event.clientY : ereignis.pageY;
					  if(dragobjekt != null)
					  {
					    dragobjekt.style.left = (posx - dragx) + "px";
					    dragobjekt.style.top = (posy - dragy) + "px";
					  }
					}

	   			var expires_time = new Date(new Date().getTime() + 1000*60*60*24*5);
					div_array=new Array();
					div_values_array=new Array();

					function show(id)
	   			{
	   				var div = document.getElementById(id);
	   				if(div != null)
	   				{
	   					div.style.visibility=="hidden"?div.style.visibility="visible":div.style.visibility="hidden";
	   					var values = div.style.visibility + "," + div.offsetLeft + "," + div.offsetTop + "," + div.style.zIndex;
	   					save_div_cookie(id,values);
	   				}
	   			}

	   		function save_div_cookie(div_id,values)
	   		{

					if (document.cookie)
						document.cookie=div_id + "=" + values +";expires="+expires_time.toGMTString();
	   		}

				String.prototype.trim = function()
				{
    			return this.replace(/^\s*/, "").replace(/\s*$/, "");
				}

				function reload_div()
				{
					if (document.cookie)
					{
  					div_array = document.cookie.split(";");

  					for(i=0;i<div_array.length;i++)
  					{
  						//alert(div_array[i]);
  						div_values_array = div_array[i].split("=");
  						for(j=0;j<div_values_array.length;j++)
  						{
  						  if(div_values_array.length >=2)
  						  {

  						  	var div_id = new String(div_values_array[0]);
  						  	div_id = div_id.trim();
  								var div = document.getElementById(div_id);
	   							if(div != null)
	   							{
	   								values_array = div_values_array[1].split(",");
	   								if(values_array.length >=4)
	   								{
	   									div.style.visibility = values_array[0];
	   									div.style.left = (values_array[1]) + "px";
	   									div.style.top = (values_array[2]) + "px";
	   									div.style.zIndex = values_array[3];
	   								}
	   							}
	   						}
  						}
  					}
					}
				}
				reload_div();


				function get_absolute_divs()
				{
				   var arr = new Array();
				   var all_divs = document.body.getElementsByTagName("DIV");
				   var j = 0;

				   for (i = 0; i < all_divs.length; i++)
				   {
				       if (all_divs.item(i).currentStyle)
				           style = all_divs.item(i).currentStyle.position;
				       else
				           style = window.getComputedStyle(
				               all_divs.item(i), null).position;

				       if ('absolute' == style)
				       {
				           arr[j] = all_divs.item(i);
				           j++;
				       }
				   }
				   return arr;
				}

				function bring_to_front(id)
				{
				   if (!document.getElementById ||
				       !document.getElementsByTagName)
				       return;

				   var obj = document.getElementById(id);
				   var divs = get_absolute_divs();
				   var max_index = 0;
				   var cur_index;

				   for (i = 0; i < divs.length; i++)
				   {
				       var item = divs[i];
				       if (item == obj ||
				           item.style.zIndex == '')
				           continue;

				       cur_index = parseInt(item.style.zIndex);
				       if (max_index < cur_index)
				       {
				           max_index = cur_index;
				       }
				   }

				   obj.style.zIndex = max_index + 1;
				   var values = obj.style.visibility + "," + obj.offsetLeft + "," + obj.offsetTop + "," + obj.style.zIndex;
	   			 save_div_cookie(obj.id,values);
				}
	   	]]>
      <!--</xsl:comment>-->
    </script>
  </xsl:template>

</xsl:stylesheet>
