<?xml version="1.0"?>
<!--
   prtof24.xsl - UPS screen for AEG.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   Said Raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:import href="./../language.xsl"/>
   <xsl:import href="./../xsl_util.xsl"/>
   <xsl:import href="./../js_util.xsl"/>
   <xsl:import href="./../js_selection.xsl"/>
   <xsl:import href="./../web_common.xsl"/>
   <xsl:import href="./../panes.xsl"/>
   <xsl:import href="./../valuebar.xsl"/>
   <xsl:import href="./../app/common.xsl"/>
   <xsl:import href="./aeg_common.xsl"/>
   <xsl:import href="./prto_f_o_panel.xsl"/>
   <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>
   <xsl:template match="/">
      <html>
        <head>
          <!-- Common Metadata and functions -->
          <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"/>
          <meta http-equiv="expires" content="0"/>
          <meta name="robots" content="noindex"/>
          <meta name="generator" content="GENEREX Network Management System"/>
          <link rel="stylesheet" type="text/css" href="./lib/css.css" />
          <script type="text/javascript" src="./lib/app/app_utils.js"></script>
          <script type="text/javascript" src="./lib/utils.js"></script>
          <title>NMS Web Client</title>
						<xsl:call-template name="set_css"/>
						<xsl:call-template name="IEpixelBugfixDef">
							<xsl:with-param name="pixels" select="1"/>
						</xsl:call-template>
						<xsl:call-template name="js_selection">
						  <xsl:with-param name="pageCount" select="3"/>
						</xsl:call-template>
			         <xsl:call-template name="popup"/>
						<xsl:call-template name="js_refresh_def"/> 
        </head>  
		 	<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">
		 		<!-- Appliction notifier -->
		 	  <xsl:call-template name="app-notifier"/>
				<!-- window-title -->
 	   		<xsl:call-template name="window-title"/>
				<!--Body-->
				<xsl:call-template name="prto_f_o_panel-body"/>
				<!--Header-->  
		 		<xsl:call-template name="prto_f_o_panel-header"/>
				<!--Footer-->
				<xsl:call-template name="prto_f_o_panel-footer"/>
       <!--Menu-->
       <xsl:call-template name="prto_f_o_panel-menu"/>
		   </body>
		 </html>
		</xsl:template>
		</xsl:stylesheet>