#!/bin/sh

TNOW=$(date -u "+%Y%m%dT%H%M")

filename="networktrace-$TNOW.tar.gz"

echo "Content-Location: $filename"
echo "Content-Type: application/octet-stream"
echo "Content-Disposition: attachment; filename="$filename""
echo "Content-Transfer-Encoding: binary"
echo "Pragma: private"
echo "Cache-Control: no-cache"
echo "Title: $filename"
echo "Expires: Thu, 1 Jan 1970 00:00:00 GMT"
echo ""

TDIR="/tmp/networktrace"
ACTION="createNetworktraceArchive"

export ACTION
$("/usr/bin/gxserve-update")
if [ "0" -ne "$?" ]; then
   echo "networktrace download failed."
   rm -rf "${TDIR}/"
   exit 1
fi
cat "${TDIR}/${filename}"
rm -rf "${TDIR}/"
