<?xml version="1.0"?>
<!--
   js_refresh.xsl - XSL-templates for Javascript-based refreshing  (UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <xsl:template name="js_refresh_def">
    <script type="text/javascript">
      <![CDATA[

      function refresh()
      {
        var x = document.body.scrollLeft;
        var y = document.body.scrollTop;
        document.cookie = "scrollX="+x + ",scrollY=" + y +",location="+document.location.href;
        var tmp = document.location.href;
            document.location.reload(tmp);
      }

  		var refreshTimer = 0;
      function setDocumentPosition()
      {
        data = document.cookie.split(";");
        for(i = 0; i != data.length ;i++){
           start = data[i].indexOf("scrollX");
           if(start != -1){
            vals = data[i].split(",");
            tmp = vals[0].split("=");
            scrollX = tmp[1];
            tmp = vals[1].split("=");
            scrollY = tmp[1];
            if(vals[2]){
              tmp = vals[2].split("=");
              loc = tmp[1];
              if(loc == document.location.href){
                window.scrollBy(scrollX, scrollY);
              }
            }
        	 }
         }
         return ;
      }

      function initRefresh(timeout)
      {
        setDocumentPosition();
  		  startRefresh(timeout);
      }
      function startRefresh(timeout)
      {
      	refreshTimer = window.setTimeout("refresh()", timeout);
      }
      function stopRefresh(timeout)
      {
      	window.clearTimeout(refreshTimer);
      }
 ]]>
    </script>

  </xsl:template>
  <xsl:template name="js_refresh_call">
    <xsl:param name="timeout"/>
    <script type="text/javascript">
      initRefresh(<xsl:value-of select="$timeout"/>);
    </script>
  </xsl:template>

</xsl:stylesheet>
