<?xml version="1.0"?>
<!--
   cp4.xsl - UPS screen for General Electric (GE CP4 model).
   Copyright (c) 2008, Generex GmbH. All rights reserved.
   Said Raqui
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../loadbar.xsl"/>
  <xsl:import href="../app/common.xsl"/>
  <xsl:import href="./cp4_panel.xsl"/>
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>
  <xsl:template match="/">
    <html>
      <head>
        <!-- Common Metadata and functions -->
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"/>
        <meta http-equiv="expires" content="0"/>
        <meta name="robots" content="noindex"/>
        <meta name="generator" content="GENEREX Network Management System"/>
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <title>NMS Web Client</title>
        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>
        <xsl:call-template name="js_refresh_def"/>
        <xsl:call-template name="set_css"/>
      </head>

      <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">

        <!-- Appliction notifier -->
        <xsl:call-template name="app-notifier"/>
        <!-- window-title -->
        <xsl:call-template name="window-title"/>
        <!--Body-->
        <xsl:call-template name="cp4_panel-body"/>
        <!--Header-->
        <xsl:call-template name="cp4_panel-header"/>
        <!--Footer-->
        <xsl:call-template name="cp4_panel-footer"/>
        <!--Menu-->
        <xsl:call-template name="cp4_panel-menu"/>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>




