<?xml version="1.0"?>
<!--
   cpusa2c.xsl - cpusa ups screen #1 (UNMS-II).
   Copyright (c) 2008, Generex GmbH. All rights reserved.
   Authors: hr
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../loadbar.xsl"/>
  <xsl:import href="./../app/common.xsl"/>
  <xsl:import href="./cpusa_panel.xsl"/>

  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <title>NMS Web Client</title>
        <xsl:call-template name="set_css"/>
        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>
        <xsl:call-template name="popup"/>
        <xsl:call-template name="js_refresh_def"/>
      </head>

      <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">

        <!-- Appliction notifier -->
        <xsl:call-template name="app-notifier"/>
        <!--Body-->
        <xsl:call-template name="cpusa_panel-body"/>
        <!--Header-->
        <xsl:call-template name="cpusa_panel-header"/>
        <!--Footer-->
        <xsl:call-template name="cpusa_panel-footer"/>
        <!--Menu-->
        <xsl:call-template name="cpusa_panel-menu"/>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>