<?xml version="1.0"?>
<!--
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method = "html" encoding="ISO-8859-1" indent="yes"/>
<!-- name template -->

<xsl:template name="statuslist">
<xsl:param name="sName"/>
	<td style="font-size:8pt" valign="top">
	<xsl:choose >
		<xsl:when test="count($sName)">
		<xsl:for-each select="$sName">
		<xsl:value-of select="."/><br/>
		</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
		OK
		</xsl:otherwise>
	</xsl:choose>
	</td>
</xsl:template>

<xsl:template match="/">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
<title>Ups History</title>
<body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">

<div style="background-color:teal;color:white;padding:8px; width:800px; height:20px">
<span style="font-weight:bold;color:white;font-size:14pt;">
UPS History
</span>
</div>

<br/>
<xsl:for-each select ="UpsHistory/UpsContact">
<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
UPS Contact<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Company:</td>
		<td style="font-size:10pt"><xsl:value-of select="Company" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Department: </td>
		<td style="font-size:10pt"><xsl:value-of select="Department" /></td>
	</tr>
<tr>
	<td><span style="font-size:10pt">Contact Person: </span></td>
	<td><span style="font-size:10pt"><xsl:value-of select="Contact" /></span></td>
</tr>
	<tr>
		<td style="font-size:10pt">City: </td>
		<td style="font-size:10pt"><xsl:value-of select="City" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Street: </td>
		<td style="font-size:10pt"><xsl:value-of select="Street" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Phone: </td>
		<td style="font-size:10pt"><xsl:value-of select="Phone" /></td>
	</tr>
</table>

<br/>
</xsl:for-each>

<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
UPS Events<br/>
</span>
</div>
<br/>
<div style="font-size:10pt">
<table border="1" cellspacing="0" cellpadding="2" width="800">
<tr>
	<th style="font-size:8pt">No.</th>
	<th style="font-size:8pt">UPS ID</th>
	<th style="font-size:8pt">Date</th>
	<th style="font-size:8pt">Time</th>
	<th style="font-size:8pt">Event</th>
	<th style="font-size:8pt">Status</th>
</tr>
<xsl:for-each select="UpsHistory/UpsData">
<tr>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="./@id" /></td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="./@UPSId" /></td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Date" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="EventText" /></td>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "StatusText"/>
	</xsl:call-template>

<!--
	<td style="font-size:8pt" align="center" valign="top"><xsl:for-each select="StatusText"><xsl:value-of select="." />; </xsl:for-each></td>
-->	
</tr>  
</xsl:for-each>
</table>
</div>

<br/>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
