<?xml version="1.0"?>
<!--
   outletsetting.xsl - programmable outlets settings.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../app/common.xsl"/>
  <xsl:import href="./outletsetting_panel.xsl"/>

  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>
  <xsl:template match="/">

    <html>
      <head>
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <title id="pr_outlet_setting" >
         <script type="text/javascript"> translate_text('pr_outlet_setting', 'Programmable Outlet Setting');</script>
        </title>
        <xsl:call-template name="set_css"/>
        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>
        <xsl:call-template name="popup"/>
      </head>

      <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">

        <!-- Appliction notifier -->
        <xsl:call-template name="app-notifier"/>
        <!-- window-title -->
        <!--<xsl:call-template name="window-title"/>-->
        <!--Body-->
        <xsl:call-template name="outletsetting_panel-body"/>
        <!--Menu-->
        <xsl:call-template name="outletsetting_panel-menu"/>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>